## EntangleDeviceManager

EntangleDeviceManager — a way for monitoring devices on the host

## Functions

EntangleDeviceManager * | entangle_device_manager_new ()
char * | entangle_device_manager_serial_id ()

## Signals

void | device-added | Run First
void | device-removed | Run First

## Types and Values

#define | ENTANGLE_TYPE_DEVICE_MANAGER
| EntangleDeviceManager

## Object Hierarchy

        GObject
        ╰── EntangleDeviceManager

## Description

The EntangleDeviceManager provides a way to monitor devices on the host.

## Functions

### entangle_device_manager_new ()

    EntangleDeviceManager *
    entangle_device_manager_new (void);

### entangle_device_manager_serial_id ()

    char *
    entangle_device_manager_serial_id (EntangleDeviceManager *manager,
                                       const char *devpath);

## Types and Values

### ENTANGLE_TYPE_DEVICE_MANAGER

    #define ENTANGLE_TYPE_DEVICE_MANAGER (entangle_device_manager_get_type())

### EntangleDeviceManager

    typedef struct _EntangleDeviceManager EntangleDeviceManager;

## Signal Details

### The `“device-added”` signal

    void
    user_function (EntangleDeviceManager *entangledevicemanager,
                   char                  *arg1,
                   gpointer               user_data)

Flags: Run First

### The `“device-removed”` signal

    void
    user_function (EntangleDeviceManager *entangledevicemanager,
                   char                  *arg1,
                   gpointer               user_data)

Flags: Run First